<?php

namespace App\Enums;

use Filament\Support\Contracts\HasColor;
use Filament\Support\Contracts\HasLabel;

enum ReportStatus: string implements HasColor, HasLabel
{
    case OPEN = 'open';
    case REVIEWING = 'reviewing';
    case RESOLVED = 'resolved';
    case REJECTED = 'rejected';

    public function getLabel(): string
    {
        return match ($this) {
            self::OPEN => __('enums.report_status.open'),
            self::REVIEWING => __('enums.report_status.reviewing'),
            self::RESOLVED => __('enums.report_status.resolved'),
            self::REJECTED => __('enums.report_status.rejected'),
        };
    }

    public function getColor(): string
    {
        return match ($this) {
            self::OPEN => 'danger',
            self::REVIEWING => 'warning',
            self::RESOLVED => 'success',
            self::REJECTED => 'gray',
        };
    }
}
